Bug 291311 - Segmentation fault in libparted, invoked from gparted
Summary: Segmentation fault in libparted, invoked from gparted
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gparted   
(Show other bugs)
Version: 8
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-09-14 17:32 UTC by Peter H. Jones
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-30 21:15:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter H. Jones 2007-09-14 17:32:37 UTC
Description of problem:
gparted gets a seg fault

Version-Release number of selected component (if applicable):
gparted-0.3.3-12.fc8
parted-1.8.6-8.fc8

How reproducible:
Frequent, but I maybe not predictable. Seems to happen at the conclusion
of a parted operation

Steps to Reproduce:
1. erased a very corrupted ext3 file system (hung install of fc8t2 to a pen 4G
pen drive); I powered off without dismounting 
2. could not recover with e2fsck
3. used parted to erase the single ext3 partition and re-create it
  
Actual results:
parted gave segmentation fault:

# gparted /dev/sdb
======================
libparted : 1.8.6
======================
Segmentation fault


Expected results:
normal exit

Additional info:
I plan to install a debugging version of parted, to see if I can get more info.

Resembles bug #251504, but I wasn't playing with removable media.

Comment 1 Peter H. Jones 2007-09-14 18:44:31 UTC
I can get a segmentation fault every time when I try to create an MSDOS label.

Comment 2 Deji Akingunola 2007-10-30 21:15:05 UTC
This is most likey a dup of bug #309251, which has just been fixed. Please test,
and re-open if gparted-0.3.3-13.fc8 doesn't fix it. 


Note You need to log in before you can comment on or make changes to this bug.